# ACE_BoolCapEntry Class Reference

This class implement the ACE Bool Capability subclass. More...

`#include <Capabilities.h>`

Inheritance diagram for ACE_BoolCapEntry:

[legend]
Collaboration diagram for ACE_BoolCapEntry:

[legend]
List of all members.

## Public Member Functions

| ACE_BoolCapEntry (int val)
int | getval (void) const

## Protected Attributes

int | val_

## Detailed Description

This class implement the ACE Bool Capability subclass.

This is a container class for ACE Capabilities bool container values.

## Constructor & Destructor Documentation

ACE_INLINE ACE_BoolCapEntry::ACE_BoolCapEntry | ( | int | val | ) |

## Member Function Documentation

ACE_INLINE int ACE_BoolCapEntry::getval | ( | void |  | ) | const

## Member Data Documentation

int ACE_BoolCapEntry::val_`[protected]`

The documentation for this class was generated from the following files:

- Capabilities.h
- Capabilities.inl